package com.sz.admin.monitor.mapper;

import com.mybatisflex.core.BaseMapper;
import com.mybatisflex.core.query.QueryWrapper;
import com.sz.admin.monitor.pojo.po.AlgorithmTask;
import com.sz.admin.monitor.pojo.po.CameraAlarm;

/**
 * ClassName: AlgorithmTaskMapper
 * Package: com.sz.admin.monitor.mapper
 * Description:
 */
public interface AlgorithmTaskMapper extends BaseMapper<AlgorithmTask> {
    default AlgorithmTask selectByCameraId(Long removeId) {
        QueryWrapper wrapper = QueryWrapper.create()
            .select()
            .from(AlgorithmTask.class)
            .where(AlgorithmTask::getCameraId).eq(removeId);
        return selectOneByQuery(wrapper);
    }
}
